E-Arogya - Bug #81

Feature # 65 (New): Security Audit

[Security Audit ] 16- Weak Password Policy
17/04/2024 03:58 PM - Kalyan Battula

Status: Closed Start date: 17/04/2024
Priority: Normal Due date:

Assignee: Kranti Boddu % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Description

16- Weak Password Policy

CWE : CWE-521

Description :

A weak password policy leaves sensitive data vulnerable to unauthorized access,

increases the risk of security breaches, and can lead to non-compliance with regulations.
It exposes organizations to reputational damage, financial losses, and undermines trust

with stakeholders.

Affected Path(s) :
https://his-user-management-service.satragroup.in/changepassword *-Applicable to
entire application

Impact :

Not implementing a proper password policy, could allow the users to set very easy

password that help the attackers to perform the dictionary attacks and gain access to the

user accounts

Recommendation :

Implement a strong password policy that contains:
1. one capital letter

2. one number

3. Minimum 10 characters

4. One special character.

Reference Links:

1. https://www.owasp.org/index.php/Testing_for_default_credentials_ (OTGAUTHN-002)

2. https://www.owasp.org/index.php/Testing_for_ Weak password_policy (OTGAUTHN-007)

3. https://www.owasp.org/index.php/Testing_for_Weak_or_unenforced_username
policy (OTG-IDENT-005)

4. https://www.us-cert.gov/ncas/alerts/TA13-175A

Evidence/Proof Of Concept :

Step 1: Password Policy not implemented as shown in below screenshot.
History

#1 - 17/04/2024 05:38 AM - Kranti Boddu
- Status changed from New to In Progress

- Assignee set to Kranti Boddu

#2 - 25/04/2024 03:30 AM - Kranti Boddu

- Status changed from In Progress to Resolved

#3 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#4 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#5 - 30/09/2024 05:19 PM - Gautam Kumar
- Status changed from Resolved to Closed
